# Changelog

### Current Major Version <a href="#current-major-version" id="current-major-version"></a>

<details>

<summary>Version v2.0 (07/26/2023)</summary>

Major updates. All endpoints are now grouped by project. See documentation for details.

Solana Trader API v1 will be continuously supported until further notice.

</details>

### Historical Version <a href="#historical-version" id="historical-version"></a>

<details>

<summary>Version v1.8 (05/22/2023)</summary>

Minor updates.

New:

* Adding new [Drift.trade](https://www.drift.trade/) endpoints:
  * POST Delete user

Updates:

* Handle dynamic Jupiter accounts
* Update Drift SDK
* Include slot information

</details>

<details>

<summary>Version v1.7 (05/15/2023)</summary>

Some updates and bug fixing.

New:

* Adding new [Drift.trade](https://www.drift.trade/) endpoints:
  * Get market depth.

Updates:

* API performance improvement.

Bugs:

* Fixed drift perp orderbook response sorting issue and limit issue.

</details>

<details>

<summary>Version v1.6 (03/16/2023)</summary>

We have made some major updates and introduced a new DEX project during this new version. Please see below for details.

New:

* Support the most fundamental features on this new perpetual DEX project, [Drift.trade](https://www.drift.trade/):
  * Market data, GET/ Stream Orderbook.
  * Managing collateral: deposit/ withdrawal.
  * Get position status.
  * Open/ Close position.
  * Cancel open order.

Updates:

* Jupiter version update to v4. This will fix the "bad" quote issue.
* Support multiple-step route swap transactions.
* Stabilize data stream overload issue.
* Add support for versioned transactions.

Bugs:

* Fixed data stream overflow which led to the downgrade of Solana nodes.
* Fixed recent block hash issue.

</details>

<details>

<summary>Version v1.5 (02/02/2023)</summary>

New:

* Adding support for trading unknown pool address swaps.

Bugs:

* Fixing quote handling bug.

</details>

<details>

<summary>Version v1.4 (01/11/2023)</summary>

New:

* Update Jupiter V2 to V3.
* Full support to **Openbook**.

Bugs:

* Fix "inAmount" and "outAmount", "inToken", "outToken" in swap stream.
* Fix Raydium swap bug.
* Fix Price streaming bug.

</details>

<details>

<summary>Version v1.3 (12/13/2022)</summary>

* A new parameter and/or field "**`project`**" has been added to most of the orderbook-based endpoints, in order to support the new Serum fork, **Openbook**.
* We have updated our TypeScript SDK to support AMM-related endpoints.
* Bugs fix.

**New endpoints:**

* Create route swap (Raydium)

</details>

<details>

<summary>Version v1.2 (11/15/2022)</summary>

Added two new streams: price and swaps. Contains breaking changes to transaction submission mechanisms, which enables submitting batches of transactions. Transactions will also now be propagated to all nodes in the BDN for redundancy.

This version contains experimental support for Jupiter in the `Quotes` endpoint and `Prices` stream endpoint. Note that the endpoints in Trader API are powered by Geyser, which is faster but will also result in subtly different state representations than what you'd normally get over Solana RPC. We welcome any feedback you have on these results.

**New endpoints:**

**API Streams**

* Prices
* Swaps

</details>

<details>

<summary>Version v1.1 (10/10/2022)</summary>

We added multiple new endpoints to support Raydium (AMM project) and Jupiter (AMM aggregator). Renamed the Serum API to Solana Trader API. Check below for details.

**New endpoints:**

**Market API**

* GET Price
* GET Pools
* GET Quotes

**Trade API**

* POST Create Swap Transaction (Raydium)
* POST Create Swap Transaction (Jupiter)

**API Streams**

* Pool Reserves

</details>

<details>

<summary>Version v1.0 (08/30/2022)</summary>

This is our first release, supporting the essential Serum trading functions. Check below for supported endpoints and feeds.

An authentication header is now required to access our API tool. Please refer to Quick Start for more details about getting a header. (Added on 08/10/2022)

**Market API**

* GET Markets
* GET Orderbook
* GET Tickers (Limited)

**Trade API**

* GET OpenOrders
* GET Unsettled
* POST CreateSettleTransaction
* POST CreateOrderTransaction
* POST CreateCancelOrderTransaction
* POST CreateCancelOrderTransactionByClientId
* POST SubmitSignedTransaction
* POST CancelAll (Added on 08/10/2022)
* POST Replace (Added on 08/10/2022)
* POST ReplaceByClientID (Added on 08/10/2022)

**API Streams**

* Orderbook (Updated on 07/12/2022)
* Tickers
* Trades

**System API**

* GET API Server Time

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloxroute.com/solana/trader-api/support/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
